Cyberduck Mountain Duck CLI

#8162 closed defect (fixed)

Missing MSVCR100.dll

Reported by: stanfraser Owned by: yla
Priority: normal Milestone: 4.7.1
Component: core Version: 4.6
Severity: normal Keywords:
Cc: chris@… Architecture:
Platform: Windows 7

Description

I updated to the latest version as recommended when I tried to open the program. Once upgraded the following error came up: "The program can't start because MSVCR100.dll is missing from your computer. Try reinstalling the program to fix this problem." I then removed cyberduck and reinstalled it twice but the same error comes up when I try to run the program.

Change History (12)

comment:1 Changed on Aug 11, 2014 at 3:45:29 PM by dkocher

  • Milestone set to 4.5.2
  • Owner changed from Stan Fraser to yla
  • Summary changed from updated and now won't run to Missing MSVCR100.dll

comment:2 Changed on Aug 12, 2014 at 7:26:11 AM by yla

  • Resolution set to worksforme
  • Status changed from new to closed

I currently do not see any reason why one would need the C++ runtime to start Cyberduck. You can try to install the VC++ runtime.

comment:3 Changed on Sep 10, 2014 at 8:44:45 AM by dkocher

#8217 closed as duplicate.

comment:4 Changed on Sep 29, 2014 at 7:58:19 PM by feulix

I've been able to reproduce this issue. Installing the ​VC++ runtime as linked to by yla didn't work. Seems that the culprit was the fact that I'm on Windows 7 x64 and Cyberduck is compiled for x86.

Installing the 32-bit VC++ runtime solved this problem for me.

comment:5 Changed on Nov 21, 2014 at 10:14:03 PM by acdha

Confirmed feulix's results. This will affect anyone running 64-bit Windows who doesn't coincidentally already have a 32-bit VisualC++ application installed.

To reproduce:

  1. Use a clean Windows 7+ system (e.g. any of the VMs from https://www.modern.ie/en-us/virtualization-tools#downloads)
  2. Install Cyberduck
  3. Cyberduck will not work
  4. Install the 32-bit runtime from http://www.microsoft.com/en-us/download/details.aspx?id=8328
  5. Cyberduck works

At the very least, changing the error message to point to the download page would be useful

comment:6 Changed on Nov 21, 2014 at 10:14:16 PM by acdha

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:7 Changed on Nov 21, 2014 at 10:14:43 PM by acdha

  • Cc chris@… added
  • Milestone changed from 4.5.2 to 4.7
  • Version changed from 4.5.1 to 4.6

comment:8 Changed on Apr 30, 2015 at 7:31:12 AM by dkocher

#8778 closed as duplicate.

comment:9 Changed on May 22, 2015 at 12:24:21 PM by dkocher

  • Milestone set to 4.8
  • Resolution set to thirdparty
  • Status changed from reopened to closed

comment:10 Changed on Jun 26, 2015 at 1:06:31 PM by dkocher

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

comment:11 Changed on Jun 26, 2015 at 1:59:44 PM by dkocher

Reopen for #8897.

comment:12 Changed on Jun 29, 2015 at 8:36:45 AM by yla

  • Resolution set to fixed
  • Status changed from reopened to closed

Fixed in r17857.

Note: See TracTickets for help on using tickets.
swiss made software